Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java	(revision 687)
@@ -33,8 +33,8 @@
 import org.eclipse.core.runtime.jobs.Job;
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Display;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.utils.logger.Log;
 
 /**
@@ -224,22 +224,22 @@
 		if (!this.canBeInterrupted) // Prevent thread system interruption (ThreadDeath not handled by the programmer)
 			return;
 		
-		Log.info(this.getName() + RCPMessages.JobHandler_2);
+		Log.info(this.getName() + TXMUIMessages.JobHandler_2);
 		
 		try {
-			System.out.println(RCPMessages.JobHandler_1 + " " + this.getName()); //$NON-NLS-1$
+			System.out.println(TXMUIMessages.JobHandler_1 + " " + this.getName()); //$NON-NLS-1$
 			this.syncExec(new Runnable() {
 				@Override
 				public void run() {
-					StatusLine.setMessage(RCPMessages.JobHandler_0);
+					StatusLine.setMessage(TXMUIMessages.JobHandler_0);
 				}
 			});
-			if (currentMonitor != null) this.currentMonitor.setTaskName(RCPMessages.JobHandler_0);
+			if (currentMonitor != null) this.currentMonitor.setTaskName(TXMUIMessages.JobHandler_0);
 			this.mySemaphore.acquire();
 			this.myThread.stop();
 		} catch (Exception e) {
 			org.txm.rcp.utils.Logger.printStackTrace(e);
-			Log.severe(RCPMessages.JobHandler_3 + this.getName());
+			Log.severe(TXMUIMessages.JobHandler_3 + this.getName());
 		}
 	}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/Commands.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/Commands.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/utils/Commands.java	(revision 687)
@@ -10,7 +10,7 @@
 
 //import practicallymacro.commands.EclipseCommand;
 
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 
 public class Commands {
 	
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancePreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancePreferencePage.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancePreferencePage.java	(revision 687)
@@ -38,7 +38,7 @@
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.handlers.IHandlerService;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
 
@@ -56,13 +56,13 @@
 	protected void createFieldEditors() {
 
 		// install directory
-		addField(new DirectoryFieldEditor(TBXPreferences.INSTALL_DIR, RCPMessages.AdvancePreferencePage_1, getFieldEditorParent()));
+		addField(new DirectoryFieldEditor(TBXPreferences.INSTALL_DIR, TXMUIMessages.AdvancePreferencePage_1, getFieldEditorParent()));
 		
 		// txmhome directory
-		addField(new DirectoryFieldEditor(TBXPreferences.USER_TXM_HOME, RCPMessages.AdvancePreferencePage_2, getFieldEditorParent()));
+		addField(new DirectoryFieldEditor(TBXPreferences.USER_TXM_HOME, TXMUIMessages.AdvancePreferencePage_2, getFieldEditorParent()));
 		
 		Group updateGroup = new Group(getFieldEditorParent(), SWT.NONE);
-		updateGroup.setText(RCPMessages.AdvancePreferencePage_6);
+		updateGroup.setText(TXMUIMessages.AdvancePreferencePage_6);
 		GridData gridData2 = new GridData(SWT.FILL, SWT.FILL, true, false);
 		gridData2.horizontalSpan = 3;
 		gridData2.verticalIndent = 10;
@@ -82,22 +82,22 @@
 		choices[6][0] = choices[6][1] = "FINER"; //$NON-NLS-1$
 		choices[7][0] = choices[7][1] = "FINEST"; //$NON-NLS-1$
 		choices[8][0] = choices[8][1] = "ALL"; //$NON-NLS-1$
-		addField(new ComboFieldEditor(TBXPreferences.LOG_LEVEL, RCPMessages.AdvancePreferencePage_12, choices, updateGroup));
+		addField(new ComboFieldEditor(TBXPreferences.LOG_LEVEL, TXMUIMessages.AdvancePreferencePage_12, choices, updateGroup));
 
 		// Log timings
-		addField(new BooleanFieldEditor(TBXPreferences.SHOW_TIMINGS, RCPMessages.AdvancePreferencePage_3, updateGroup));
+		addField(new BooleanFieldEditor(TBXPreferences.SHOW_TIMINGS, TXMUIMessages.AdvancePreferencePage_3, updateGroup));
 		
 		// Log stack trace
-		addField(new BooleanFieldEditor(TBXPreferences.LOG_STACKTRACE, RCPMessages.AdvancePreferencePage_0, updateGroup));
+		addField(new BooleanFieldEditor(TBXPreferences.LOG_STACKTRACE, TXMUIMessages.AdvancePreferencePage_0, updateGroup));
 		
 		// Log console
-		addField(new BooleanFieldEditor(TBXPreferences.ADD_TECH_LOGS, RCPMessages.AdvancePreferencePage_13, updateGroup));
+		addField(new BooleanFieldEditor(TBXPreferences.ADD_TECH_LOGS, TXMUIMessages.AdvancePreferencePage_13, updateGroup));
 		
 		// Show dialog on severe error
 		addField(new BooleanFieldEditor(RCPPreferences.SHOW_SEVERE_DIALOG, "Show a dialog when a severe error occurs", updateGroup));
 
 		// Log in file
-		addField(new BooleanFieldEditor(TBXPreferences.LOG_IN_FILE, RCPMessages.AdvancePreferencePage_14, updateGroup));
+		addField(new BooleanFieldEditor(TBXPreferences.LOG_IN_FILE, TXMUIMessages.AdvancePreferencePage_14, updateGroup));
 		
 		// Update level
 		String[][] choices2 = new String[4][2];
@@ -105,10 +105,10 @@
 		choices2[1][0] = choices2[1][1] = "BETA"; //$NON-NLS-1$
 		choices2[2][0] = choices2[2][1] = "ALPHA"; //$NON-NLS-1$
 		choices2[3][0] = choices2[3][1] = "DEV"; //$NON-NLS-1$
-		addField(new ComboFieldEditor(RCPPreferences.UPDATE_LEVEL, RCPMessages.AdvancePreferencePage_7,choices2, getFieldEditorParent()));
+		addField(new ComboFieldEditor(RCPPreferences.UPDATE_LEVEL, TXMUIMessages.AdvancePreferencePage_7,choices2, getFieldEditorParent()));
 		
 		// Expert mode
-		addField(new BooleanFieldEditor(TBXPreferences.EXPERT_USER, RCPMessages.AdvancePreferencePage_4, getFieldEditorParent()));
+		addField(new BooleanFieldEditor(TBXPreferences.EXPERT_USER, TXMUIMessages.AdvancePreferencePage_4, getFieldEditorParent()));
 		
 		// Show all result nodes in Corpora view
 
@@ -137,7 +137,7 @@
 //			PlatformUI.getWorkbench().getPreferenceManager().
 //				find("org.txm.rcp.preferences.TextometriePreferencePage/" + AdvancePreferencePage.ID + "/" + ChartsEnginePreferencePage.ID).createPage();
 		} catch (Exception e) {
-			System.err.println(RCPMessages.FAILED_TO_SAVE_PREFERENCES + e);
+			System.err.println(TXMUIMessages.FAILED_TO_SAVE_PREFERENCES + e);
 		}
 		return true;
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/TXMPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/TXMPreferencePage.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/TXMPreferencePage.java	(revision 687)
@@ -34,6 +34,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.ui.IWorkbenchPreferencePage;
 import org.eclipse.ui.preferences.ScopedPreferenceStore;
+import org.txm.rcp.messages.TXMUIMessages;
 
 /**
  * TXM base preference page.
@@ -45,7 +46,6 @@
 public abstract class TXMPreferencePage extends FieldEditorPreferencePage implements IWorkbenchPreferencePage {
 
 
-
 	/**
 	 * Creates a preferences page.
 	 */
@@ -82,7 +82,7 @@
 			super.performOk();
 			((ScopedPreferenceStore) this.getPreferenceStore()).save();
 		} catch (Exception e) {
-			System.err.println(org.txm.rcp.RCPMessages.FAILED_TO_SAVE_PREFERENCES + e);
+			System.err.println(TXMUIMessages.FAILED_TO_SAVE_PREFERENCES + e);
 		}
 		return true;
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SetEncoding.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SetEncoding.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/SetEncoding.java	(revision 687)
@@ -36,8 +36,8 @@
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.editors.text.IEncodingSupport;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TxtEditor;
+import org.txm.rcp.messages.TXMUIMessages;
 
 /**
  * @author mdecorde
@@ -68,7 +68,7 @@
 			if (currentEncoding == null) currentEncoding = defaultEncoding;
 			Shell sh = new Shell();
 			InputDialog dlg = new InputDialog(sh,
-					RCPMessages.SetEncoding_0, RCPMessages.SetEncoding_1+currentEncoding+RCPMessages.SetEncoding_2+defaultEncoding, currentEncoding, null);
+					TXMUIMessages.SetEncoding_0, TXMUIMessages.SetEncoding_1+currentEncoding+TXMUIMessages.SetEncoding_2+defaultEncoding, currentEncoding, null);
 			if (dlg.open() == Window.OK) {
 				String newEncoding = dlg.getValue();
 				if (newEncoding != null && newEncoding.trim().length() > 0 && !newEncoding.trim().equals(currentEncoding)) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/RestartTXM.java	(revision 687)
@@ -36,7 +36,7 @@
 import org.eclipse.osgi.util.NLS;
 import org.txm.Toolbox;
 import org.txm.rcp.JobsTimer;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.SummaryView;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
@@ -63,7 +63,7 @@
 			protected IStatus run(IProgressMonitor monitor) {
 				JobsTimer.start();
 				try {
-					monitor.beginTask(RCPMessages.RestartTXM_1, 100);
+					monitor.beginTask(TXMUIMessages.RestartTXM_1, 100);
 					//Toolbox.updateProperties(TxmPreferences.getProperties());
 					Toolbox.restart();
 
@@ -76,7 +76,7 @@
 					});
 
 				} catch (Exception e) {
-					System.out.println(NLS.bind(RCPMessages.RunGroovyScript_8, e));
+					System.out.println(NLS.bind(TXMUIMessages.RunGroovyScript_8, e));
 					org.txm.rcp.utils.Logger.printStackTrace(e);
 				} finally {
 					monitor.done();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/PurgeCorpora.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/PurgeCorpora.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/PurgeCorpora.java	(revision 687)
@@ -20,9 +20,9 @@
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.objects.Workspace;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.RestartTXM;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
 import org.txm.searchengine.cqp.corpus.CorpusManager;
@@ -37,11 +37,11 @@
 		try {
 			List<MainCorpus> input = CorpusManager.getCorpusManager().getCorpora();
 			ListSelectionDialog corporaDialogs = new ListSelectionDialog(s, input,
-					new ArrayContentProvider(), new LabelProvider(), RCPMessages.PurgeCorpora_0);
+					new ArrayContentProvider(), new LabelProvider(), TXMUIMessages.PurgeCorpora_0);
 
 			corporaDialogs.open();
 			Object[] toRemove = corporaDialogs.getResult();
-			System.out.println(RCPMessages.PurgeCorpora_1+ Arrays.toString(toRemove));
+			System.out.println(TXMUIMessages.PurgeCorpora_1+ Arrays.toString(toRemove));
 			if (toRemove.length == input.size()) {
 				deleteAll(s);
 			} else {
@@ -56,7 +56,7 @@
 				RestartTXM.reloadViews();
 			}
 		} catch (CqiClientException e1) {
-			System.out.println(RCPMessages.PurgeCorpora_2+e1);
+			System.out.println(TXMUIMessages.PurgeCorpora_2+e1);
 			deleteAll(s);
 		}
 
@@ -66,7 +66,7 @@
 	public void deleteAll(Shell s) {
 
 		MessageBox messageBox = new MessageBox(s, SWT.ICON_QUESTION | SWT.YES | SWT.NO);
-		messageBox.setMessage(RCPMessages.PurgeCorpora_3);
+		messageBox.setMessage(TXMUIMessages.PurgeCorpora_3);
 		int response = messageBox.open();
 		if (response != SWT.YES) {
 			StatusLine.setMessage(""); //$NON-NLS-1$
@@ -75,7 +75,7 @@
 		
 		String path = Toolbox.getTXMHOMEPATH();
 		if (path == null || path.trim().length() == 0) {
-			System.out.println(RCPMessages.PurgeCorpora_4);
+			System.out.println(TXMUIMessages.PurgeCorpora_4);
 			return;
 		}
 
@@ -86,25 +86,25 @@
 				protected IStatus run(IProgressMonitor monitor) {
 					this.runInit(monitor);
 					try {
-						System.out.println(RCPMessages.PurgeCorpora_5);
+						System.out.println(TXMUIMessages.PurgeCorpora_5);
 						File corpora = new File(workspace, "corpora"); //$NON-NLS-1$
 						if (!DeleteDir.deleteDirectory(corpora)) {
-							System.out.println(RCPMessages.PurgeCorpora_7);
+							System.out.println(TXMUIMessages.PurgeCorpora_7);
 						}
 						corpora.mkdir();
 
 						File registry = new File(workspace, "registry"); //$NON-NLS-1$
 						if (!DeleteDir.deleteDirectory(registry)) {
-							System.out.println(RCPMessages.PurgeCorpora_9);
+							System.out.println(TXMUIMessages.PurgeCorpora_9);
 						}
 						registry.mkdir();
-						System.out.println(RCPMessages.PurgeCorpora_10);
+						System.out.println(TXMUIMessages.PurgeCorpora_10);
 						File xmlfile = new File(workspace, "workspaces/default.xml"); //$NON-NLS-1$
 						this.acquireSemaphore();
 						Toolbox.workspace = Workspace.createEmptyWorkspace(xmlfile);
 						this.releaseSemaphore();
 						
-						System.out.println(RCPMessages.PurgeCorpora_12);
+						System.out.println(TXMUIMessages.PurgeCorpora_12);
 
 						syncExec(new Runnable() {
 							@Override
@@ -115,7 +115,7 @@
 					} catch (ThreadDeath td) {
 						return Status.CANCEL_STATUS;
 					} catch (Exception e) {
-						System.out.println(NLS.bind(RCPMessages.RunGroovyScript_8, e));
+						System.out.println(NLS.bind(TXMUIMessages.RunGroovyScript_8, e));
 						org.txm.rcp.utils.Logger.printStackTrace(e);
 					} finally {
 						monitor.done();
@@ -126,7 +126,7 @@
 			};
 			jobhandler.startJob();
 		} else {
-			System.out.println(RCPMessages.PurgeCorpora_13+workspace.getAbsolutePath());
+			System.out.println(TXMUIMessages.PurgeCorpora_13+workspace.getAbsolutePath());
 		}
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/ConvertCorpus.java	(revision 687)
@@ -18,8 +18,8 @@
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.importer.Convert5To6;
 import org.txm.objects.Base;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.commands.RestartTXM;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.utils.DeleteDir;
 
@@ -55,11 +55,11 @@
 
 						Base base = LoadBinaryCorpus.loadBinaryCorpus(outdir);
 						if (base == null) {
-							System.out.println(RCPMessages.ConvertCorpus_0);
+							System.out.println(TXMUIMessages.ConvertCorpus_0);
 							return Status.CANCEL_STATUS;
 						}
 					} catch (Throwable e) {
-						System.out.println(NLS.bind(RCPMessages.RunGroovyScript_8,
+						System.out.println(NLS.bind(TXMUIMessages.RunGroovyScript_8,
 								e));
 						org.txm.rcp.utils.Logger.printStackTrace(e);
 					} finally {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/AddProject.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/AddProject.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/AddProject.java	(revision 687)
@@ -27,7 +27,7 @@
 //
 package org.txm.rcp.commands.workspace;
 
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.views.BasesView;
 
 import java.util.Iterator;
@@ -72,7 +72,7 @@
 		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event)
 				.getShell();
 		InputDialog dlg = new InputDialog(shell,
-				"", RCPMessages.AddProject_3, name, null); //$NON-NLS-1$
+				"", TXMUIMessages.AddProject_3, name, null); //$NON-NLS-1$
 		if (dlg.open() == Window.OK) {
 			// User clicked OK; update the label with the input
 			name = dlg.getValue();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorpus.java	(revision 687)
@@ -50,9 +50,9 @@
 import org.txm.objects.Base;
 import org.txm.objects.Project;
 import org.txm.objects.Workspace;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.StatusLine;
 import org.txm.rcp.commands.RestartTXM;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.utils.JobHandler;
 import org.txm.rcp.views.corpora.CorporaView;
@@ -105,16 +105,16 @@
 	}
 
 	private void restoreCorpus(File backup, File basedir) {
-		System.out.println(RCPMessages.LoadBinaryCorpus_10+basedir.getName()+RCPMessages.LoadBinaryCorpus_11);
+		System.out.println(TXMUIMessages.LoadBinaryCorpus_10+basedir.getName()+TXMUIMessages.LoadBinaryCorpus_11);
 		if (backup.exists()) {
-			System.out.println(RCPMessages.LoadBinaryCorpus_12);
+			System.out.println(TXMUIMessages.LoadBinaryCorpus_12);
 			DeleteDir.deleteDirectory(basedir);
 			if (basedir.exists()) {
-				System.out.println(RCPMessages.LoadBinaryCorpus_13+basedir+RCPMessages.LoadBinaryCorpus_14+backup);
+				System.out.println(TXMUIMessages.LoadBinaryCorpus_13+basedir+TXMUIMessages.LoadBinaryCorpus_14+backup);
 				return;
 			}
 			if (!backup.renameTo(basedir)) {
-				System.out.println(RCPMessages.LoadBinaryCorpus_15+backup);
+				System.out.println(TXMUIMessages.LoadBinaryCorpus_15+backup);
 				return;
 			}
 			org.txm.Toolbox.restartWorkspace();
@@ -138,13 +138,13 @@
 		corporaDir.mkdir();
 
 		if (!filename.endsWith(".txm") && !filename.endsWith(".zip")) { //$NON-NLS-1$ //$NON-NLS-2$
-			System.out.println(RCPMessages.AddBase_25);
-			System.out.println(NLS.bind(RCPMessages.AddBase_22, zipFile));
+			System.out.println(TXMUIMessages.AddBase_25);
+			System.out.println(NLS.bind(TXMUIMessages.AddBase_22, zipFile));
 			return false;
 		}
 
 		if (!zipFile.canRead()) {
-			System.out.println(NLS.bind(RCPMessages.AddBase_17, zipFile));
+			System.out.println(NLS.bind(TXMUIMessages.AddBase_17, zipFile));
 			return false;
 		}
 
@@ -153,7 +153,7 @@
 		corpusdir = new File(corporaDir, basedirname);
 
 		if (corpusdir.exists()) {
-			boolean b = MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), RCPMessages.AddBase_19, NLS.bind(RCPMessages.AddBase_20, corpusdir.getName().toUpperCase()));
+			boolean b = MessageDialog.openConfirm(Display.getCurrent().getActiveShell(), TXMUIMessages.AddBase_19, NLS.bind(TXMUIMessages.AddBase_20, corpusdir.getName().toUpperCase()));
 			if (b) {
 				//TODO: to enable backup of binary corpus I need to be able to reload correctly a corpus in CQP corpus manager
 //				backup = new File(corpusdir.getParentFile(), corpusdir.getName()+"-back"); //$NON-NLS-1$
@@ -178,33 +178,33 @@
 
 		// scan dir
 		JobHandler jobhandler = new JobHandler(
-				NLS.bind(RCPMessages.AddBase_1, corpusdir.getName())) {
+				NLS.bind(TXMUIMessages.AddBase_1, corpusdir.getName())) {
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
 				try {
 					//ZIPPED FILE
-					monitor.beginTask(RCPMessages.AddBase_27, 100);
-					monitor.subTask(RCPMessages.AddBase_28);
+					monitor.beginTask(TXMUIMessages.AddBase_27, 100);
+					monitor.subTask(TXMUIMessages.AddBase_28);
 					try {
 						//System.out.println(NLS.bind(Messages.AddBase_29, zipFile, corporaDir));
 						Zip.decompress(zipFile.getAbsolutePath(), corporaDir.getAbsolutePath(), false, this);
 					} catch (Exception e) {
-						System.out.println(NLS.bind(RCPMessages.AddBase_31, e));
+						System.out.println(NLS.bind(TXMUIMessages.AddBase_31, e));
 						org.txm.rcp.utils.Logger.printStackTrace(e);
 						return Status.CANCEL_STATUS;
 					}
 					monitor.worked(50);
 
-					monitor.subTask(RCPMessages.AddBase_32);
+					monitor.subTask(TXMUIMessages.AddBase_32);
 					Base base = loadBinaryCorpus(new File(corporaDir, basedirname));
 					if (base == null) {
-						System.out.println(RCPMessages.AddBase_4);
+						System.out.println(TXMUIMessages.AddBase_4);
 						return Status.CANCEL_STATUS;
 					}
 					//System.out.println("fin load base");
 					monitor.worked(40);
-					monitor.subTask(RCPMessages.AddBase_33);
+					monitor.subTask(TXMUIMessages.AddBase_33);
 
 					this.acquireSemaphore();
 					//Toolbox.updateProperties(ApplicationWorkbenchAdvisor.getProperties());
@@ -214,7 +214,7 @@
 
 					final Base base2 = Toolbox.workspace.getDefaultProject().getBase(base.getName()); //$NON-NLS-1$
 					if (base2 == null) {
-						System.out.println(RCPMessages.LoadBinaryCorpus_4);
+						System.out.println(TXMUIMessages.LoadBinaryCorpus_4);
 						return null;
 					}
 
@@ -250,8 +250,8 @@
 							RestartTXM.reloadViews();
 							//System.out.println("Select newly loaded corpus: "+base2.getCorpora().values());
 							CorporaView.select(base2.getChildren(MainCorpus.class));
-							System.err.println(RCPMessages.AddBase_10);
-							StatusLine.setMessage(RCPMessages.AddBase_10);
+							System.err.println(TXMUIMessages.AddBase_10);
+							StatusLine.setMessage(TXMUIMessages.AddBase_10);
 						}
 					});
 				} catch (ThreadDeath td) { 
@@ -285,8 +285,8 @@
 	 */
 	public static Base loadBinaryCorpus(File binCorpusDirectory) throws Exception {
 		if (!(binCorpusDirectory.exists() && binCorpusDirectory.isDirectory())) {
-			Log.severe(NLS.bind(RCPMessages.AddBase_24, binCorpusDirectory.getAbsolutePath()));
-			System.out.println(NLS.bind(RCPMessages.AddBase_24, binCorpusDirectory.getAbsolutePath()));
+			Log.severe(NLS.bind(TXMUIMessages.AddBase_24, binCorpusDirectory.getAbsolutePath()));
+			System.out.println(NLS.bind(TXMUIMessages.AddBase_24, binCorpusDirectory.getAbsolutePath()));
 			return null; 
 		}
 
@@ -297,17 +297,17 @@
 
 		Workspace w = org.txm.Toolbox.workspace;
 		if (w == null) {
-			System.out.println(RCPMessages.AddBase_34);
+			System.out.println(TXMUIMessages.AddBase_34);
 			return null;
 		}
 		Project p = w.getProject("default"); //$NON-NLS-1$
 		if (p == null) {
-			System.out.println(RCPMessages.AddBase_34);
+			System.out.println(TXMUIMessages.AddBase_34);
 			return null;
 		}
 		Base base = p.scanDirectory(binCorpusDirectory);
 		if (base == null) {
-			Log.severe(NLS.bind(RCPMessages.AddBase_2, binCorpusDirectory)); 
+			Log.severe(NLS.bind(TXMUIMessages.AddBase_2, binCorpusDirectory)); 
 			return null;
 		}
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CleanPerspective.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CleanPerspective.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/CleanPerspective.java	(revision 687)
@@ -9,7 +9,7 @@
 import org.eclipse.ui.PlatformUI;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.eclipse.ui.handlers.IHandlerService;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.utils.logger.Log;
 
 public class CleanPerspective extends AbstractHandler {
@@ -42,11 +42,11 @@
 			try {
 				handlerService.executeCommand("org.eclipse.ui.window.resetPerspective", null); //$NON-NLS-1$
 			} catch (Exception e) {
-				System.out.println(RCPMessages.CleanPerspective_1+e);
+				System.out.println(TXMUIMessages.CleanPerspective_1+e);
 				Log.printStackTrace(e);
 			}
 		} else {
-			System.out.println(RCPMessages.CleanPerspective_2);
+			System.out.println(TXMUIMessages.CleanPerspective_2);
 		}
 		
 		return null;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 687)
@@ -46,9 +46,9 @@
 import org.eclipse.ui.internal.browser.WebBrowserEditorInput;
 import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMBrowser;
 import org.txm.rcp.editors.TXMWebBrowserEditor;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.utils.logger.Log;
 
@@ -179,8 +179,8 @@
 			editor.setPartName(editorname);
 			return editor;
 		} catch (Exception e) {
-			Log.severe(RCPMessages.OpenBrowser_0+e.toString()+RCPMessages.OpenBrowser_1+filepath);
-			System.out.println(RCPMessages.OpenBrowser_0+e.toString()+RCPMessages.OpenBrowser_1+filepath);
+			Log.severe(TXMUIMessages.OpenBrowser_0+e.toString()+TXMUIMessages.OpenBrowser_1+filepath);
+			System.out.println(TXMUIMessages.OpenBrowser_0+e.toString()+TXMUIMessages.OpenBrowser_1+filepath);
 		}
 		return null;
 	}
@@ -215,8 +215,8 @@
 
 			return editor;
 		} catch (Exception e) {
-			Log.severe(RCPMessages.OpenBrowser_0+e.toString()+RCPMessages.OpenBrowser_1+filepath);
-			System.out.println(RCPMessages.OpenBrowser_0+e.toString()+RCPMessages.OpenBrowser_1+filepath);
+			Log.severe(TXMUIMessages.OpenBrowser_0+e.toString()+TXMUIMessages.OpenBrowser_1+filepath);
+			System.out.println(TXMUIMessages.OpenBrowser_0+e.toString()+TXMUIMessages.OpenBrowser_1+filepath);
 		}
 		return null;
 	}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 687)
@@ -39,7 +39,7 @@
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
 import org.txm.core.results.TXMResult;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.svg.SVGComposite;
 
 /**
@@ -163,7 +163,7 @@
 				}
 				
 			} else {
-				throw new IllegalArgumentException(RCPMessages.SVGGraphicEditor_1);
+				throw new IllegalArgumentException(TXMUIMessages.SVGGraphicEditor_1);
 			}
 		}
 		svgComp.resetZoom();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java	(revision 686)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java	(revision 687)
@@ -12,7 +12,7 @@
 import org.eclipse.swt.events.KeyListener;
 import org.eclipse.swt.widgets.TableColumn;
 import org.eclipse.swt.widgets.TableItem;
-import org.txm.rcp.RCPMessages;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.utils.logger.Log;
 
 public class TableKeyListener implements KeyListener {
@@ -46,7 +46,7 @@
 		//System.out.println("search in tablein items: "+Arrays.toString(items));
 
 		TableColumn[] cols = viewer.getTable().getColumns();
-		InputDialog dialog = new InputDialog(viewer.getTable().getShell(), "Compute", RCPMessages.TableKeyListener_1, "", null);  //$NON-NLS-1$
+		InputDialog dialog = new InputDialog(viewer.getTable().getShell(), "Compute", TXMUIMessages.common_enterRegularExpressionOfYourSearch, "", null);  //$NON-NLS-1$
 		if (dialog.open() == Window.OK) {
 			String reg = dialog.getValue();
 			Pattern p = Pattern.compile(reg);
@@ -64,7 +64,7 @@
 					}
 				}
 			}
-			Log.info(RCPMessages.TableKeyListener_0 + matchingIndexes);
+			Log.info(TXMUIMessages.TableKeyListener_0 + matchingIndexes);
 
 			// TODO: useless ?
 //			int[] indexes = new int[matchingIndexes.size()];
@@ -110,6 +110,6 @@
 			}
 		}
 		org.txm.rcp.utils.IOClipboard.write(str);
-		System.out.println(RCPMessages.TableKeyListener_6+str);
+		System.out.println(TXMUIMessages.TableKeyListener_6+str);
 	}
 }
